| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::StreamOutputDescriptor Class Reference

Holds information about a stream output slot. More...

Inheritance diagram for nkGraphics::StreamOutputDescriptor:

## Public Member Functions
| StreamOutputDescriptor () noexcept
unsigned int | getStream () const
nkMemory::StringView | getSemanticName () const
unsigned int | getSemanticIndex () const
unsigned char | getStartComponent () const
unsigned char | getComponentCount () const
unsigned char | getOutputSlot () const
void | setStream (unsigned int value)
void | setSemanticName (const nkMemory::StringView &value)
void | setSemanticIndex (unsigned int value)
void | setStartComponent (unsigned char value)
void | setComponentCount (unsigned char value)
void | setOutputSlot (unsigned char value)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

Holds information about a stream output slot.

This is used when describing a geometry stream.

## Constructor & Destructor Documentation

## ◆ StreamOutputDescriptor()

nkGraphics::StreamOutputDescriptor::StreamOutputDescriptor | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getStream()

unsigned int nkGraphics::StreamOutputDescriptor::getStream | ( |  | ) | const

Returns
  The stream number.

## ◆ getSemanticName()

nkMemory::StringView nkGraphics::StreamOutputDescriptor::getSemanticName | ( |  | ) | const

Returns
  The semantic name for the attribute exported.

## ◆ getSemanticIndex()

unsigned int nkGraphics::StreamOutputDescriptor::getSemanticIndex | ( |  | ) | const

Returns
  The semantic index for the attribute exported.

## ◆ getStartComponent()

unsigned char nkGraphics::StreamOutputDescriptor::getStartComponent | ( |  | ) | const

Returns
  The starting component, between [0, 3].

## ◆ getComponentCount()

unsigned char nkGraphics::StreamOutputDescriptor::getComponentCount | ( |  | ) | const

Returns
  The component count written.

## ◆ getOutputSlot()

unsigned char nkGraphics::StreamOutputDescriptor::getOutputSlot | ( |  | ) | const

Returns
  The output slot for the stream. Between [0, 3].

## ◆ setStream()

void nkGraphics::StreamOutputDescriptor::setStream | ( | unsigned int | value | ) |

Sets the stream number.

Parameters

  value | The stream number to use.

## ◆ setSemanticName()

void nkGraphics::StreamOutputDescriptor::setSemanticName | ( | const nkMemory::StringView & | value | ) |

Sets the semantic name to output.

Parameters

  value | The name of the semantic.

## ◆ setSemanticIndex()

void nkGraphics::StreamOutputDescriptor::setSemanticIndex | ( | unsigned int | value | ) |

Sets the semantic index to output.

Parameters

  value | The index needed.

## ◆ setStartComponent()

void nkGraphics::StreamOutputDescriptor::setStartComponent | ( | unsigned char | value | ) |

Sets the starting component to write to the output.

Parameters

  value | The component index to start with. Between [0, 3].

## ◆ setComponentCount()

void nkGraphics::StreamOutputDescriptor::setComponentCount | ( | unsigned char | value | ) |

Sets the component count to write to the output.

Parameters

  value | The count to use.

## ◆ setOutputSlot()

void nkGraphics::StreamOutputDescriptor::setOutputSlot | ( | unsigned char | value | ) |

Sets the output slot from the stream to write.

Parameters

  value | The output slot. Between [0, 3].

## ◆ exportClassToTree()

virtual void nkGraphics::StreamOutputDescriptor::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Basic exporting capabilities.

Parameters

  rootNode | The tree to export to.

Implements nkExport::Exportable.

## ◆ importClassFromTree()

virtual void nkGraphics::StreamOutputDescriptor::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Basic importing capabilities.

Parameters

  rootNode | The tree to import from.

Implements nkExport::Exportable.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Meshes/StreamOutputDescriptor.h